
***************************************************************************************************************************************
* Table III. Hypothesis Tests on Responses to an Oil News Shock
* This do file generates the results in Table III 
* Included in news_reg_20160710.do



** 1. merge p-values for all variables. 
use $savefolder\pv_lngdplcu.dta,clear
gen n=_n

*foreach file in "ca" "saving" "inv" "lnclcu" "emprate" "invprivgdp" "invpubgdp" "lncp_r" "lncg_r" "govspgdp" "lreer_ins" "lreer_gdp" {

foreach file in "ca" "saving" "inv" "lnclcu" "emprate"  {
merge 1:1 h0 using $savefolder\pv_`file'.dta
drop _merge
}

sort n
drop n

save $savefolder\pv_all.dta, replace




***************************************************************
** Select the results
use	$savefolder\pv_all.dta,clear




use "D:\Dropbox\idea\oilshock\data\cleandata\result20150824\baseline\pv_all",clear


gen n=_n
move n h0

keep n h0  pvlngdplcu-pvemprate
reshape long pv,i(n h0) j(depvar) string

sort depvar n 

drop if depvar=="ca" & (n!=3 & n!=5) 

drop if depvar=="saving" & (n!=3 & n!=5) 

drop if depvar=="inv" & (n!=2 & n!=6) 

drop if depvar=="lngdplcu" & (n!=2 & n!=5) 

drop if depvar=="lnclcu" & (n!=8) 

drop if depvar=="emprate" & (n!=9)

move depvar h0
 
gen order=0

replace order=1 if depvar=="ca"
replace order=2 if depvar=="saving"
replace order=3 if depvar=="inv"
replace order=4 if depvar=="lngdplcu"
replace order=5 if depvar=="lnclcu"
replace order=6 if depvar=="emprate"




sort order h0


drop order n


format pv %9.2f

save $savefolder\table_iii.dta, replace

*copy to excel










