* This do file presents the summary statistics for macro variables in Table B.III

local sumvarlist lngdplcu ca saving inv lnclcu emprate invprivgdp invpubgdp lncp_r lncg_r govspgdp lreer_ins lreer_gdp stmktcap

quietly{
set more off
foreach var of varlist `sumvarlist' {
sum year if `var'!=.
scalar ymin=r(min)
scalar ymax=r(max)

unique ifscode  if `var'!=.
scalar nc=r(sum)

sum `var' if `var'!=., detail
mat ss_`var'=ymin,ymax,nc,`r(N)',`r(min)',`r(p50)',`r(max)'
matlist ss_`var'
}

mat ss=ss_lngdplcu
foreach var of varlist ca saving inv lnclcu emprate invprivgdp invpubgdp lncp_r lncg_r govspgdp lreer_ins lreer_gdp stmktcap {
mat ss=ss\ss_`var'
}
}

matlist ss

preserve
svmat ss
keep ss*
keep if ss1!=.

gen varname=""
move varname ss1
replace varname="Ln(GDP)" in 1/1
replace varname="CA/GDP" in 2/2
replace varname="Saving/GDP" in 3/3
replace varname="Investment/GDP" in 4/4
replace varname="Ln(final consumption)" in 5/5
replace varname="Employment rate" in 6/6
replace varname="Private investment/GDP" in 7/7
replace varname="Public investment/GDP" in 8/8
replace varname="Ln(final private consumption)" in 9/9
replace varname="Ln(final public consumption)" in 10/10
replace varname="Government spending/GDP" in 11/11
replace varname="Ln(real exchange rate based on CPI)" in 12/12
replace varname="Ln(real exchange rate based on GDP deflator)" in 13/13
replace varname="Stock market capitalization  as a percentage  of GDP" in 14/14
ren varname Variable

tostring ss1 ss2, replace force
gen Years=ss1+"-"+ss2
move Years ss1
drop ss1 ss2
ren ss3 Maximum_number_of_countries
ren ss4 Obs
ren ss5 Min
ren ss6 Median
ren ss7 Max

format Min-Max %9.1f
save $savefolder\table_b_iii.dta,replace
restore
